<bugID>867458<Summary>Created RemotedVariablesView</Summary><Description>The VariablesView has been designed to work with with grips from the debugger protocol, but there's still a lot of plumbing needed to actually put a remote object into a VariablesView. Right now this plumbing exists as part of JSTerm. This concern should be separated out into a subclass of VariablesView that makes it as easy to work with a local object (i.e. `variablesView.rawObject = obj`) but with remote objects.

This is needed in order to remote the Scratchpad, and generally makes sense as something separate from JSTerm, as we intend to use the VariablesView in multiple places.</Description></bugID>